

import { Controller, Get } from '@nestjs/common';
import { Public } from '../auth/Public';
import { HelloService } from './HelloService';

@Public()
@Controller()
export class HelloController {
  constructor(private readonly helloService: HelloService) {}

  @Get('health')
  health() {
    return { status: 'ok' };
  }

  @Get()
  getHello() {
    return this.helloService.getHello();
  }
}